//Schreiben einer Gif-Grafik in der oberen linken Ecke der Grafik
#include <stdio.h>


//Die Struct beinhaltet jeweils eine Farbe der Farbtabelle als RGB-Wert
typedef struct {
 unsigned char r,g,b;
}RGBCOLOR;

typedef unsigned char BYTE;


//Der Aufruf bentigt als Parameter einen Zeiger auf die zu schreibenden
//Daten, die Breite und Hhe der Grafik, einen Zeiger auf die Farbtabelle,
//die Farbtiefe und den Index der transparenten Farbe
// b ist ein Pixelpuffer, ein Byte pro Pixel!
// transcolor<0 speichert ohne Transparenz

//Der Rckgabewert ist 0 bei erfolgreichem Schreiben
int savegif(FILE *f, const BYTE *b, int w, int h, const RGBCOLOR *c, int bitcount, int transcolor);
